%%%%% fig10_1a.m %%%%% 
%	Jan. 99
%  last revision:  1/8/99  JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
  disp('fig 10.1a: Observer design for Example 10.5')
  A = [-2 -2.5 -0.5; 1 0 0; 0 1 0];  % state matrix
  B = [ 0; 0; 0];                    % input matrix set to zero
  C = [1 4 3.5];                       % output matrix
  D = 0;                             % throughput matrix
  p = [-1 -3+j*3 -3-j*3];            % desired observer pole locations
  p = [-3 -5 -7];
  L = place(A',C',p)';               % estimator gain
  A_ob = A-L*C;                      % observer system matrix
  xo = [1; -0.75; 0.4];                   % initial conditions
  t = [0:0.02:4];                   % time array
  u = 0*t;                 % zero input
  G = ss(A,B,C,D)
  [y,t,x] = lsim(G,u,t,xo);     % simulate system
 %disp('Simulate Observer')
  G_ob = ss(A_ob,L,C,D)
  [y_hat,t,x_hat]=lsim(G_ob,y,t);  % simulate observer
  plot(t,x,'--',t,x_hat,'-')
  % title('fig 10.1a: Observer design for Example 10.5')
  xlabel('Time (sec)')
  ylabel('Amplitude')
  grid
  text(0.30,0.92,'x1')
  text(1.1,0.5,'x1hat')
  text(0.6,-0.12,'x2')
  text(0.9,-0.3,'x2hat')
  text(0.5,0.05,'x3')
  text(0.6,0.3,'x3hat')
  print -deps fig10_1a.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%