%%%%%%%%%%%%%%%%%%%%%% cp2_2.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%----------------------------------------------------
% .M file for analyzing the Open-loop Satellite  
%   example for Comprehensive Problem CP2.2
%----------------------------------------------------
clear;clf
disp('CP2.2: Open-loop Satellite')
% load sat.mat if exists, otherwise quit this M-file
if chkmat('sat') == 1, 
    load sat.mat
  else
     return
end
%
disp('G1(s) for tau_m --> theta')
numG1, denG1
G1 = tf(numG1,denG1)
disp('*******>');pause
[z1,p1,k1] = zpkdata(G1,'v')
disp('*******>');pause
[res1,pp1,other1] = residue(numG1,denG1)
disp('*******>');pause
%
disp('G2(s) for tau_m --> Omega ')
numG2, denG2
G2 = tf(numG2,denG2)
disp('*******>');pause
[z2,p2,k2] = zpkdata(G2,'v')
disp('*******>');pause
[res2,pp2,other2] = residue(numG2,denG2)
disp('*******>');pause
%
disp('G3(s) for tau_dist --> theta')
numG3, denG3
G3 = tf(numG3,denG3)
disp('*******>');pause
[z3,p3,k3] = zpkdata(G3,'v')
disp('*******>');pause
[res3,pp3,other3] = residue(numG3,denG3)
disp('*******>');pause
%
disp('G4(s) for tau_dist --> Omega')
numG4, denG4
G4 = tf(numG4,denG4)
disp('*******>');pause
[z4,p4,k4] = zpkdata(G4,'v')
disp('*******>');pause
[res4,pp4,other4] = residue(numG4,denG4)
disp('end of Comprehensive Problem 2.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
