%%%%%%%%%%%%%%%%%%%%% wif2_7.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%     What If for Example 2.7: finds the response 
%          of system to delayed input 
%----------------------------------------------------
clear,clf
disp('Create G(s) as TF object')
numG = [3 2]
denG = [2 4 5 1]
G = tf(numG, denG)
disp('*****>');pause
disp('Construct a time vector, the input, and use the lsim')
disp('   command to solve for the response')
time = [0:0.02:10]';
u = 2.0*(1+0*(time)); % vector of 2's with length of "time"
for ii=1:max(find(time<1.0)),
  u(ii) = 0;
end
for ii=min(find(time>=3.0)):length(u),
  u(ii) = 0.5;
end
y = lsim(G,u,time);
plot(time,y,time,u,'--');grid
title('WIF2.7: Response to delayed input')
xlabel('Time (seconds)');ylabel('Amplitude')
text(4.5,1.7,'output')
text(4.5,0.58,'input')
disp('End of What If 2.7')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%