%%%%%%%%%%%%%%%%%%%%% wif2_9.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%            What If for Example 2.9:  
%  Given G(s), determine zeros of system and time  
%          response to sinusoidal input
%----------------------------------------------------
clear,clf
zz = [-5; i; -i]	% generate G(s) in ZPK form
pp = [-1; -2; -2; -3]
kk = 1
G = zpk(zz,pp,kk)
disp('*****>');pause
[numG,denG] = tfdata(G,'v')
zGroots = roots(numG)
disp('*****>');pause
disp('Simulate responses for three frequencies')
disp('....adjusting final time to get 5 input cycles')
disp('.....& adjusting step size for 200 points')
disp('*****>');pause
omega = 0.1
tmax = (2*pi/omega)*5;
delt = tmax/200;
t = [0:delt:tmax]';
u = sin(omega*t);
y = lsim(G,u,t);
plot(t,y,t,u,'--');grid
title('WIF2.9a : omega = 0.1 rad/s')
keyboard
omega = 1.01
tmax = (2*pi/omega)*5;
delt = tmax/200;
t = [0:delt:tmax];
u = sin(omega*t);
y = lsim(G,u,t);
plot(t,y,t,u,'--');grid
title('WIF2.9b : omega = 1.01 rad/s')
keyboard
omega = 2.0
tmax = (2*pi/omega)*5;
delt = tmax/200;
t = [0:delt:tmax];
u = sin(omega*t);
y = lsim(G,u,t);
plot(t,y,t,u,'--');grid
title('WIF2.9c : omega = 2.0 rad/s')
keyboard
disp('end of What If 2.9')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
