%%%%%%%%%%%%%%%%%%%%%% cp3_1.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
% .M file for analyzing the power system example for 
%            Comprehensive Problem CP3.1
%----------------------------------------------------
clear,clf
disp('Comprehensive Problem CP3.1')

epow    % read data

disp('system zeros, poles, gain for Vterminal output')
G1 = tf(num1,den)
[z,p,k] = zpkdata(G1,'v')
disp('*****>'), pause

disp('Lag controller gain array') 
K_lag = [10 20 30 40 50 60]'
len_Klag = length(K_lag);
disp('*****>'), pause

for i = 1:len_Klag
 disp('investigate the controller performance for K_lag = ')
 K_lag(i) 
 z_lag = -1
 p_lag = z_lag/10
 disp('controller transfer function')
 num_lag = K_lag(i)*[1 -z_lag]
 den_lag = [1 -p_lag]
 Glag = tf(num_lag,den_lag)
 disp('*****>'), pause
 GK = G1*Glag;
 disp('Closed-loop transfer function')
 GK_CL = feedback(GK,1)
 disp('*****>'), pause
 [zCL,pCl,kCL]=zpkdata(GK_CL,'v')
 disp('*****>'), pause
 disp('step response')
 step(GK_CL)
 grid;title('CP3.1: Power system model step response with lag controller')
 text('Units','norm','Pos',[0.3 0.2],...
			'Str',['controller gain added = ' num2str(K_lag(i))])
 keyboard
end

disp('end of Comprehensive Problem 3.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



