%%%%%%%%%%%%%%%%%%%%%% cp3_3a.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%            Comprehensive Problem CP3.3a
% Satellite with lead, does disturbance step response
%----------------------------------------------------
disp('CP3.3A: Satellite with lead, disturbance step response')
clear;clf
% load sat.mat if exists, otherwise quit this M-file
if chkmat('sat') == 1, 
    load sat.mat
  else
     return
end
%
disp('A reasonable value is Klead = -0.001')
Klead = input('enter lead gain (<0) ==>')
Klead_str = num2str(Klead);
disp('A reasonable value is Zlead = -0.02')
Zlead = input('enter lead zero (<0) ==>')
Zlead_str = num2str(Zlead);
disp('A reasonable value is alpha = 20')
Alead = input('enter lead alpha ==>')
Alead_str = num2str(Alead);	
%------ use Eq 3.3 for lead TF
G1 = tf(numG1,denG1)
G3 = tf(numG3,denG3)
numGc = Klead*[1  -Zlead];
denGc = [1  -Alead*Zlead];
Gc = tf(numGc,denGc)
%---- feedback loop has G(s) = 1 & H(s) = - Gc * G1
H  = -Gc*G1
disp('zeros, poles & DC gain of H(s) are:')
[zH,pH,kH]=zpkdata(H,'v')
disp('*******>');pause
%---- closed-loop TF with G(s) = 1 & pos fdbk
H_CL = feedback(1,H,+1)
disp('closed-loop zeros, poles & DC gain are:')
[zCL,pCL,kCL]=zpkdata(H_CL,'v')
disp('*******>');pause
%---- make series connection
T = G3*H_CL
disp('zeros, poles & DC gain from tau_dist --> theta are:')
[zT,pT,kT]=zpkdata(T,'v')
disp('*******>');pause
%--- now do impulse response for 1000 sec
t = [0:2:5000]';
y = 0.002*impulse(T,t);
plot(t,y);grid
xlabel('Time (secs)'); ylabel('Pointing angle (deg)')
title('CP3.3a: satellite with lead, dist torque impulse of 0.002 N-m-s')
text('Units','Norm','Pos',[0.6 0.25],'String',...
			['Klead = ' Klead_str])
text('Units','Norm','Pos',[0.6 0.15],'String',...
			['Zlead = ' Zlead_str])
text('Units','Norm','Pos',[0.6 0.05],'String',...
			['Alead = ' Alead_str])
disp('end of Comprehensive Problem 3.3a')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%