%%%%%%%%%%%%%%%%%%%%%% cp3_5a.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%   .M file for analyzing the hydro-turbine system  
%      example for Comprehensive Problem CP3.5a
%----------------------------------------------------
clear, clf
disp('Comprehensive Problem 3.5a')
disp('Proportional control of hydro-turbine system')

hydro  % read data
disp('*****>'), pause

disp('Closed-loop system transfer functin for ')
disp('...proportional control Kp = 0.5')
G = tf(numG,denG)
T = feedback(0.5*G,1)
[numT,denT] = tfdata(T,'v')
disp('*****>'), pause

disp('Poles of closed-loop system')
pT = roots(denT)
disp('Zeros of closed-loop system')
zT = roots(numT)
disp('DC gain of closed-loop system')
DC_gain = dcgain(T)
disp('*****>'), pause

disp('Step response of hydro-turbine to step reference input')
step(T)
title('CP3.5a: Closed-loop Response of Power P to Unit Step of Reference Input')
grid
keyboard

disp('Repeat computations for Kp = 0.75')
disp('Closed-loop system transfer function for ')
disp('...proportional control Kp = 0.75')
T = feedback(0.75*G,1)
[numT,denT] = tfdata(T,'v')
disp('*****>'), pause

disp('Poles of closed-loop system')
pG = roots(denT)
disp('Zeros of closed-loop system')
zG = roots(numT)
disp('DC gain of closed-loop system')
DC_gain = dcgain(numT,denT)
disp('*****>'), pause

disp('Step response of hydro-turbine to step reference input')
step(T)
title('CP3.5a: Closed-loop Response of Power P to Unit Step of Reference Input')
grid
keyboard

disp('end of Comprehensive Problem 3.5a')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%