%%%%%%%%%%%%%%%%%%%%%% p4_8.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/2/99 HS
%----------------------------------------------------
%    Problem 4.8: equivalence of state-space models  
%----------------------------------------------------
  clear, clf
  disp('Problem 4.8: Equivalence of state-space models')
  disp(' ')
  disp('Convert G1(s) to state-space form')
  numG1 = [3 2 1]
  denG1 = [4 5 8]
  G1 = tf(numG1,denG1)
  G1ss = ss(G1)
  disp('*****>');pause
  disp('Convert G2(s) to state-space form')
  numG2 = [0 4 2]
  denG2 = [1 2 10]
  G2 = tf(numG2,denG2)
  G2ss = ss(G2)
  disp('*****>');pause
  disp('Feedback connection in state-space')
  Gfss = feedback(G1ss,G2ss)
  disp('*****>');pause
  disp('zeros, poles and gain')
  [z,p,k] = zpkdata(Gfss,'v')
  disp('*****>');pause
  disp('Feedback connection of G1(s) & G2(s) in TF form')
  Gf = feedback(G1,G2)
  disp('*****>');pause
  Gfss = ss(Gf)
  disp('*****>');pause
  disp('zeros, poles and gain')
  [z,p,k] = zpkdata(Gf,'v')
  pzmap(Gf)
  grid;title('P4.8: Equivalence of state-space models')
  disp('end of Reinforcement Problem 4.8')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%