%%%%%%%%%%%%%%%%%%%%%% cp6_4.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%   .M file for analyzing the hydro-turbine system 
%       example for Comprehensive Problem CP6.4
%----------------------------------------------------
clear,clf
disp('Comprehensive Problem CP6.4')
disp('Frequency response analysis of hydro-turbine system')

hydro  % read data
disp('*****>'), pause

disp('zeros and poles of transfer function')
G = tf(numG,denG)
z = roots(numG)
p = roots(denG)
disp('*****>'), pause

disp('Make Bode plot and compute gain and phase margins')
clf
margin(G)
disp(' ')
disp('Note that the system with a unity-gain proportional ')
disp('...controller is unstable. Therefore the gain and ')
disp('... phase margins are negative.')
disp(' ')
keyboard

disp('Make Nichols plot')
clf
nichols(G)
title('CP6.4: Nichols plot of hydro-turbine system')
grid
disp(' ')
disp('The closed-loop systems is unstable since the Nichols curve ')
disp('... lies to the left of the critical point (0 dB, -180 deg.).')
disp(' ')
keyboard

disp('Make Nyquist plot')
clf
nyquist(G), grid
title('CP6.4: Nyquist plot of hydro-turbine system')
disp(' ')
disp('There are two encirclements of the critical point (-1,0),')
disp('... therefore there are two unstable closed-loop poles.')
disp(' ')
keyboard

disp('end of Comprehensive Problem 6.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
