%%%%%%%%%%%%%%%%%%%%%% p6_10.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%  Problem 6.10: make Bode, Nichols and Nyquist plots 
%                for a notch filter 
%----------------------------------------------------
  clear,clf
  disp('Problem 6.10: Notch Filter')
  disp(' ')
  disp('Enter transfer function coefficients')
  numG = 40*[1 1 32]
  denG = conv([1 40],[1 4 32])
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Make Bode plot directly from the bode command')
  bode(G);
  title('P6.10 : Bode plot ')
  keyboard
  disp('Make Nichols plot directly from the nichols command')
  subplot(1,1,1), nichols(G), grid
  title('P6.10 : Nichols plot')
  hold on
  plot([-180 -180],[-400 400])  % make solid line for axis
  plot([-1000 1000],[0 0])
  hold off
  keyboard
  disp('Make Nyquist plot directly from the nyquist command')
  disp('  The encirclement direction is indicated')
  nyquist(G);
  grid, title('P6.10 : Nyquist plot')
  keyboard
  disp('Another Nyquist plot showing the detail about the -1 point.')
  disp('  We will put a unit circle about the origin on the plot.')
  axis([-1 1 -1 1])
  axis('square')
  hold on
  %  make unit circle
  w = [0:2*pi/100:2*pi];
  ucir = exp(j*w);
  ucir_re = real(ucir); ucir_im = imag(ucir);
  plot(ucir_re,ucir_im);
  keyboard
  hold off
  axis('normal')
  axis('auto')
  disp('end of Reinforcement Problem 6.10')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%