%%%%%%%%%%%%%%%%%%%%%% p6_11.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%  Problem 6.11: make Bode, Nichols and Nyquist plots 
%               for a state-space model 
%----------------------------------------------------
  clear,clf
  disp('Problem 6.11: State-space model')
  disp(' ')
  disp('Enter state matrices')
  A = [0 1 0; -4 -1 1; 0 0 -20]
  B = [0; 0; 20]
  C = [1 0 0]
  D = 0
  G = ss(A,B,C,D)
  disp('*****>');pause
  disp('Make Bode plot directly from the bode command')
  bode(G);
  title('P6.11 : Bode plot ')
  keyboard
  disp('Make Nichols plot directly from the nichols command')
  subplot(1,1,1), nichols(G), grid
  title('P6.11 : Nichols plot')
  hold on
  plot([-180 -180],[-400 400])  % make solid line for axis
  plot([-1000 1000],[0 0])
  hold off
  keyboard
  disp('Make Nyquist plot directly from the nyquist command')
  disp('  The encirclement direction is indicated')
  nyquist(G);
  grid, title('P6.11 : Nyquist plot')
  keyboard
  disp('Another Nyquist plot showing the detail about the -1 point.')
  disp('  We will put a unit circle about the origin on the plot.')
  axis([-1 1 -1 1])
  axis('square')
  hold on
  %  make unit circle
  w = [0:2*pi/100:2*pi];
  ucir = exp(j*w);
  ucir_re = real(ucir); ucir_im = imag(ucir);
  plot(ucir_re,ucir_im);
  keyboard
  hold off
  axis('normal')
  axis('auto')
  disp('end of Reinforcement Problem 6.11')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%