%%%%%%%%%%%%%%%%%%%%%% p6_13.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%         Problem 6.13: make margin analysis 
%          for an open-loop unstable system 
%----------------------------------------------------
  clear,clf
  disp('Problem 6.13: Open-loop unstable system')
  disp(' ')
  disp('Enter transfer function coefficients')
  numG = 100*[1 5]
  denG = conv(conv([1 -2],[1 8]),[1 20])
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Make Bode plot directly from the margin command')
  margin(G);
  grid
  keyboard
  disp('Make Nichols plot directly from the nichols command')
  subplot(1,1,1), nichols(G), grid
  title('P6.13 : Nichols plot')
  hold on
  plot([-180 -180],[-400 400])  % make solid line for axis
  plot([-1000 1000],[0 0])
  hold off
  keyboard
  disp('Make Nyquist plot directly from the nyquist command')
  disp('  The encirclement direction is indicated')
  nyquist(G);
  grid, title('P6.13 : Nyquist plot')
  keyboard
  disp('Another Nyquist plot showing the detail about the -1 point.')
  disp('  We will put a unit circle about the origin on the plot.')
  disp('  Note the clockwise encirclement of the (-1,0) point.')
  disp('  The closed-loop system is stable.')
  axis([-2 2 -2 2])
  axis('square')
  hold on
  %  make unit circle
  w = [0:2*pi/100:2*pi];
  ucir = exp(j*w);
  ucir_re = real(ucir); ucir_im = imag(ucir);
  plot(ucir_re,ucir_im);
  keyboard
  hold off
  disp('Make Root Locus plot directly from the rlocus command')
  rlocus(G), grid
  axis([-25 5 -20 20])
  title('P6.13 : Root Locus plot')
  axis('normal')
  axis('auto')
  disp('end of Reinforcement Problem 6.13')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%