%%%%%%%%%%%%%%%%%%%%%% p6_3.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%       Problem 6.3: simulate response due to 
%    sinusoidal input. Compute frequency response.
%----------------------------------------------------
  clear,clf
  disp('Problem 6.3: Multiple-frequency input signal, high-pass filter')
  disp(' ')
  disp('Enter transfer-function coefficients')
  numG = [1 1]
  denG = [1 10]
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Setting up t, u and y')
  t = [0:0.06:6]'; % time vector with 0.06 sec. increment
  u = sin(0.1*t)+cos(t + 45*pi/180)-sin(10*t - 30*pi/180);  
  y = lsim(G,u,t);
  disp('magnitude and phase of frequency response at w = 0.1 1 10 rad/s')
  w = [0.1 1 10]'
  [mag,phase] = bode(G,w);  
  mag   = reshape(mag,3,1)
  phase = reshape(phase,3,1)
  disp('*****>');pause
  disp('magnitude and phase of steady-state response')
  y_mag = mag
  y_phase = [0; 45; -30] + phase
  y_ss = y_mag(1)*sin(0.1*t + y_phase(1)*pi/180) + ...
         y_mag(2)*cos(t + y_phase(2)*pi/180) - ...
         y_mag(3)*sin(10*t + y_phase(3)*pi/180);
  plot(t,u,'-',t,y,'--',t,y_ss,'-.')
  grid, title('P6.3 : u (solid), y (dashed) & yss (dashdot)')
  xlabel('Time in seconds')
  ylabel('u, y, yss')
  keyboard
  disp('end of Reinforcement Problem 6.3')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%