%%%%%%%%%%%%%%%%%%%%%% p6_4.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%       Problem 6.4: simulate response due to 
%         step input. Compute DC gain.
%----------------------------------------------------
  clear,clf
  disp('Problem 6.4: DC gain')
  disp(' ')
  disp('Enter transfer-function coefficients')
  numG = [2 3 4]
  denG = [1 2 2.5 0.5]
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Setting up t, u and y')
  t = [0:0.06:20]'; % time vector with 0.06 sec. increment
  y = step(G,t);
  disp('magnitude and phase of frequency response at w = 0 rad/s')
  [mag,phase] = bode(G,0)  
  disp('*****>');pause
  disp('magnitude and phase of steady-state response')
  y_mag = mag
  y_ss = mag*ones(size(t));
  u = ones(size(t));
  plot(t,u,'-',t,y,'--',t,y_ss,'-.')
  grid, title('P6.4 : u (solid), y (dashed) & yss (dashdot)')
  xlabel('Time in seconds')
  ylabel('u, y, yss')
  keyboard
  disp('end of Reinforcement Problem 6.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%