%%%%%%%%%%%%%%%%%%%%% wif6_2b.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%  This MATLAB file runs the What-if problem after 
%  Example 6.2 (Frequency Response Plot) 
%----------------------------------------------------
clear,clf
  disp('What-if problem Part (b) following ')
  disp('Example 6.2: Bode, Nichols and Nyquist plots')
  disp(' ')
  disp('Enter plant transfer function coefficients')
  numG = [ 1280 640 ]
  denG = [ 1 24.2 1604.81 320.24 16 ]
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Enter controller transfer function coefficients')
  numGc = [ 0.2 1 ]
  denGc = [ 2 1 ]
  Gc = tf(numGc,denGc)
  disp('*****>');pause
  disp('transfer function of Gc(s)G(s)')
  GcG = Gc*G
    disp('Make Bode plot directly from the bode command')
    w = logspace(-2,3,100)';  
    bode(GcG,w);
    title('WIF6.2b : Bode plot ')
    keyboard
    disp('Make Nichols plot directly from the nichols command')
    subplot(1,1,1), nichols(GcG,w), grid
    ngrid
    title('WIF6.2b : Nichols plot')
    hold on
    plot([-180 -180],[-400 400])  % make solid line for axis
    plot([-1000 1000],[0 0])
    hold off
    axis([-270 0 -100 40])
    keyboard
    disp('Make Nyquist plot directly from the nyquist command')
    disp('  The encirclement direction is indicated')
    nyquist(GcG);
    grid, title('WIF6.2b : Nyquist plot')
    keyboard
    disp('Another Nyquist plot showing the detail about the -1 point.')
    disp('  We will put a unit circle about the origin on the plot.')
    axis([-1 1 -1 1])
    hold on
    %  make unit circle
    sgrid([ ],[ 1 -1 ])
    keyboard
    hold off
    axis('normal')
    axis('auto')
  end
  disp('end of What If 6.2b')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
