%%%%%%%%%%%%%%%% fig8_7a.m %%%%%%%%%%%%%%%
%
%      2nd order plant with 2 real poles & 1st order sensor
%      with PID control
%      Does root locus
%  	Jan 99
%   last revision:  1/6/99  JHC
%----------------------------------------
clear; 
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('PID control')
tauP1 = 2; tauP2 = 0.5; tau_sen = 0.05; Kproc = 4;
numGp = Kproc;
denGp = conv([tauP1 1],[tauP2 1]);
H     =tf(1,[tau_sen 1]);
KP = 1;
KI = 0.5;
KD = 0.4;
KI_str=num2str(KI);
KD_str=num2str(KD);
    numKc = KP*[KD 1 KI];   % numerator of PID controller
    numGK = conv(numKc,numGp);
    GK = tf(numGK,[denGp 0])
    [poles,k] = rlocus(GK*H); 
    rlocus(GK*H), grid
    %title('fig 8.7(a): open-loop, PID control')
    disp('select range to fill in more points')
    k1 = rlocfind(GK*H)
    k2 = rlocfind(GK*H)
    if k1 > k2, ku = k1; kd = k2; 
      else, ku = k2; kd = k1; 
    end
    kadd = logspace(log10(kd),log10(ku),20);
    knew = sort([k kadd]);
    rlocus(GK*H,knew), grid
    h = findobj(gca,'type','line')
    h = findobj(h,'linestyle','none')
    h(end) = [ ];
    set(h,'linestyle','-','marker','none')
    hold on, pzmap(GK*H), hold off
    plt_ttl('Pole-zero map',' ')
axis([-15 5 -8 8])
text(0.0,-5.0,['KI = ' KI_str])
text(0.0,-6.0,['KD = ' KD_str])
print -deps fig8_7a.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%