%%%%%%%%%%%%%%%%%%%%%% cp9_1c.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/15/99 HS
%----------------------------------------------------
%  M-file for mapping the PI controller for the power 
%    system example for Comprehensive Problem CP8.1
%                 to a lag controller
%----------------------------------------------------
clear,clf
disp('Comprehensive Problem CP9.1c')

epow    % read data

C = C(1,:);
cflag = input('enter 1 to add more damping to system ==> ')
if cflag == 1
  A(2,2) = 10*A(2,2); 
end

% transfer function from rectifier input to bus voltage
Gss = ss(A,B,C,0);
G = tf(Gss);
[num,den] = tfdata(G,'v');
disp('Power system transfer function, with V_term as output')
num = small20(num,1e-10);
den;
G = tf(num,den)
disp('*****>'), pause

t=[0:0.02:20]';
  
disp('PI controller design')
Kp = 30
Ki = 1/1.1
numK = Kp*[1 Ki]; denK = [1 0];
K = tf(numK,denK)
disp('Mapped to lag controller')
alag=input('Enter Alag (Alag=30 produces a good response) ==> ')
numK = Kp*[1 Ki]; denK = [1 Ki/alag];
K = tf(numK,denK)

% closed-loop system
GK = G*K;
GK_CL = feedback(GK,1);
disp('See step response')
step(GK_CL,t)
y = step(GK_CL,t);
grid;title('CP9.1c: CL system reference step response')
[Mo,tp,tr,ts,ess] = tstats(t,y,1)

keyboard

disp('Compute uncompensated gain and phase margins')
margin(G)
keyboard

disp('Compute compensated gain and phase margins')
margin(GK)
keyboard
disp('end of Comprehensive Problem 9.1c')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
