%%%%%%%%%%%%%%%% fig9_3.m %%%%%%%%%%%%%%%
% 	Jan. 99
%  last revision:  1/8/99  JHC
%----------------------------------------
clear;clf
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('fig 9.3: Bode plots for Example 9.1')
tauP1 = 2; tauP2 = 0.5; tau_sen = 0.05; Kproc = 4; 
Klag = 0.924;
Zlag = -0.25;
Alag = 13.27;
Gp = tf(Kproc,conv([tauP1 1],[tauP2 1]));
H  = tf(1,[tau_sen 1]);
GpH = Gp*H;
w = logspace(-3,2,100);
zdb = 0*w;
ph180 = -180*ones(length(w));
%----- first do gain-only case
K = Klag*GpH;
[mag_K,ph_K] = bode(K,w);
mag_K = reshape(mag_K,100,1);
ph_K  = reshape(ph_K,100,1);  
mag_db_K = 20*log10(mag_K);
%
%-------- do calcs with final lag design
Gc = tf(Klag*[1 -Zlag],[1 -Zlag/Alag])
GcGpH = Gc*GpH
[mag_lag,ph_lag] = bode(GcGpH,w);
mag_lag = reshape(mag_lag,100,1);
ph_lag  = reshape(ph_lag,100,1);   
mag_db_lag = 20*log10(mag_lag);
%--------- now plot both sets
subplot(211)
semilogx(w,mag_db_lag,w,mag_db_K,'--');grid;
axis([0.001 100 -100 50])
xlabel('Frequency (rad/sec)')
ylabel('Gain dB')
%title('fig 9.3: lag design for Ex. 9.1')
text(0.04,36,'Lag')
text(0.01,-5,'Proportional')
subplot(212)
semilogx(w,ph_lag,'-',w,ph_K,'--',w,ph180,':');
grid
axis([0.001 100 -300 50])
xlabel('Frequency (rad/sec)')
ylabel('Phase deg')
text(0.02,-80,'Lag')
text(0.30,-25,'Proportional')
print -deps fig9_3.eps
subplot(111)	% reset plot window
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%