function  y = rpole2t(p,res,t)
%RPOLE2T y = rpole2t(p,res,t) 
%        Performs inverse Laplace transform for a real pole
%        and generates a time function. 
%Inputs: p - real pole
%        res - residue at the real pole
%        t - time vector
%Output: y - time response vector
%
%        The response is computed as y(t) = res * exp(p*t) 

%%%%%%%%%%%%%%%%%%%%% rpole2t.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB 
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, Nov. 94
%----------------------------------------------------

y = 0*t;
for n=1:length(t),
   y(n) = res*exp(p*t(n));
end
%----- remove any very small imaginary parts
y = real(y);

%%%%%%%%%%%%%%%%%% end of rpole2t.m %%%%%%%%%%%%%%%%%
